Subject: Re: bug#18698: Our WindowMaker wrapper pollutes PATH in the entire X session

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 13 Oct 2020 10:43:27 -0400

Hello,

Mark H Weaver <[email-masked]> writes:

> We install a wrapper script around WindowMaker that prepends
> /gnu/store/XXX-windowmaker-XXX/bin to $PATH.  This setting is propagated
> to all subprocesses in the entire X session, which is suboptimal.  It
> would be nice to find another solution, preferably by using absolute
> pathnames when launching subprocesses run by WindowMaker.
>
>       Mark

I tested with the following modifications to our lightweight-desktop
template:

--8<---------------cut here---------------start------------->8---
modified   gnu/system/examples/lightweight-desktop.tmpl
@@ -2,6 +2,7 @@
 ;; for a "desktop" setup without full-blown desktop
 ;; environments.

+(use-modules (gnu packages gnustep))
 (use-modules (gnu) (gnu system nss))
 (use-service-modules desktop)
 (use-package-modules bootloaders certs ratpoison suckless wm xorg)
@@ -42,7 +43,7 @@
   ;; the log-in screen with F1.
   (packages (append (list
                      ;; window managers
-                     ratpoison i3-wm i3status dmenu
+                     windowmaker
                      ;; terminal emulator
                      xterm
                      ;; for HTTPS access
--8<---------------cut here---------------end--------------->8---

And I cannot reproduce this.  I believe the fix Ludo did 6 years ago in
be05e643ae4d62dc25aa88b7fbdb0eae9cf10eb0 combined with the use of a
xsession file added in commit 537fe4568f4 by Kei resolved this issue for
good.

Closing.

Thanks,

Maxim